pfodParser 3.61.0 The pfodParser library is handles commands sent from the Android pfodApp, pfodApp supports WiFi, BLE, Bluetooth and SMS connections

Public Member Functions | List of all members
pfod_Base Class Referenceabstract

pfod_Base for Arduino Base class for all pfod_Base_xxxx classes The subclasses pfod_Base_xxx must override all the methods below More...

`#include <pfod_Base.h>`

Inherits Stream.

Inherited by pfodRadio, pfodSMS_SIM5320, and pfodSMS_SIM900.

## Public Member Functions
virtual bool | connect ()
virtual void | setDebugStream (Print *out)
virtual Print * | getRawDataOutput ()=0
virtual void | _setLinkTimeout (unsigned long _linkTimeout_mS)
virtual size_t | writeRawData (uint8_t c)=0
virtual size_t | write (uint8_t)
virtual int | available ()
virtual int | read ()=0
virtual int | peek ()
virtual void | flush ()
virtual void | _closeCurrentConnection ()=0
virtual unsigned long | getDefaultTimeOut ()=0

## Detailed Description

pfod_Base for Arduino Base class for all pfod_Base_xxxx classes The subclasses pfod_Base_xxx must override all the methods below

Definition at line 18 of file pfod_Base.h.

## Member Function Documentation

## ◆ _closeCurrentConnection()

virtual void pfod_Base::_closeCurrentConnection | ( |  | ) |
| pure virtual

Implemented in pfodSMS_SIM900, pfodSMS_SIM5320, and pfodRadio.

## ◆ _setLinkTimeout()

virtual void pfod_Base::_setLinkTimeout | ( | unsigned long | _linkTimeout_mS | ) |
| virtual

## ◆ available()

virtual int pfod_Base::available | ( |  | ) |
| virtual

Reimplemented in pfodSMS_SIM900, pfodSMS_SIM5320, and pfodRadio.

## ◆ connect()

virtual bool pfod_Base::connect | ( |  | ) |
| virtual

## ◆ flush()

virtual void pfod_Base::flush | ( |  | ) |
| virtual

Reimplemented in pfodSMS_SIM900, pfodSMS_SIM5320, and pfodRadio.

## ◆ getDefaultTimeOut()

virtual unsigned long pfod_Base::getDefaultTimeOut | ( |  | ) |
| pure virtual

Implemented in pfodSMS_SIM900, pfodSMS_SIM5320, and pfodRadio.

## ◆ getRawDataOutput()

virtual Print* pfod_Base::getRawDataOutput | ( |  | ) |
| pure virtual

Implemented in pfodSMS_SIM900, pfodSMS_SIM5320, and pfodRadio.

## ◆ peek()

virtual int pfod_Base::peek | ( |  | ) |
| virtual

Reimplemented in pfodSMS_SIM900, pfodSMS_SIM5320, and pfodRadio.

## ◆ read()

virtual int pfod_Base::read | ( |  | ) |
| pure virtual

Implemented in pfodSMS_SIM900, pfodSMS_SIM5320, and pfodRadio.

## ◆ setDebugStream()

virtual void pfod_Base::setDebugStream | ( | Print * | out | ) |
| virtual

Reimplemented in pfodRadio.

## ◆ write()

virtual size_t pfod_Base::write | ( | uint8_t |  | ) |
| virtual

Reimplemented in pfodSMS_SIM900, pfodSMS_SIM5320, and pfodRadio.

## ◆ writeRawData()

virtual size_t pfod_Base::writeRawData | ( | uint8_t | c | ) |
| pure virtual

Implemented in pfodSMS_SIM900, pfodSMS_SIM5320, and pfodRadio.